Skip to main content
PUT
Update Care Plan

Headers

TENANT
string
required

The tenant you are making this request on behalf of

API-KEY
string
required

Your api key

Path Parameters

care_plan_id
string
required

Body

application/json

Schema for updating care plan metadata.

name
string | null
description
string | null
startDate
string<date-time> | null
tagIds
string[] | null

Tag IDs (at least one required if provided)

Response

Successful Response

Full care plan detail including all steps.

id
string
required
name
string
required
patientId
string
required
locationId
string
required
assignedById
string
required
startDate
string<date-time>
required
description
string | null
templateId
string | null
stepCount
integer
default:0
completedStepCount
integer
default:0
tagIds
string[]

Associated tag IDs

tags
CarePlanTagDetail · object[]

Associated tags

createdDate
string<date-time> | null
updatedDate
string<date-time> | null
steps
CarePlanStepDetail · object[]
cycles
CarePlanCycleDetail · object[]